<?php
namespace Claromentis\Core\Log;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array();
use Psr\Log\AbstractLogger;
use Psr\Log\LoggerInterface;
use Psr\Log\LogLevel;








class MultiLogger extends AbstractLogger
{
    protected $loggers = [];
    public function addLogger(LoggerInterface $logger, $_4eff911a7d895b5233a9a2ffeefd84f9 = LogLevel::DEBUG, $_ba0b7a6bed6fa290aec9165688ad311c = LogLevel::EMERGENCY)
    {
        $this->loggers[] = [$logger, Levels::toNumber($_4eff911a7d895b5233a9a2ffeefd84f9), Levels::toNumber($_ba0b7a6bed6fa290aec9165688ad311c)];
    }
    
    
    
    
    
    
    
    
    
    
    public function log($_8571ac32155d45081f21fab1bc366aff, $_e05e0022a2e5ad344b9c4a0d3f64e1a5, array $context = array())
    {
        $_4f601cf7ebf4e08481df1451b9eef1f7 = Levels::toNumber($_8571ac32155d45081f21fab1bc366aff);
        foreach ($this->loggers as $_aadafb0fb2e8d04f6b3d74f62542ae64) {
            list($logger, $_4eff911a7d895b5233a9a2ffeefd84f9, $_ba0b7a6bed6fa290aec9165688ad311c) = $_aadafb0fb2e8d04f6b3d74f62542ae64;
            if ($_4f601cf7ebf4e08481df1451b9eef1f7 >= $_4eff911a7d895b5233a9a2ffeefd84f9 && $_4f601cf7ebf4e08481df1451b9eef1f7 <= $_ba0b7a6bed6fa290aec9165688ad311c) {
                
                
                $logger->log($_8571ac32155d45081f21fab1bc366aff, $_e05e0022a2e5ad344b9c4a0d3f64e1a5, $context);
            }
        }
    }
}